package com.hfkj.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsTradeOrderProfitSharingExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsTradeOrderProfitSharingExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCmdTypeIsNull() {
            addCriterion("cmd_type is null");
            return (Criteria) this;
        }

        public Criteria andCmdTypeIsNotNull() {
            addCriterion("cmd_type is not null");
            return (Criteria) this;
        }

        public Criteria andCmdTypeEqualTo(Integer value) {
            addCriterion("cmd_type =", value, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeNotEqualTo(Integer value) {
            addCriterion("cmd_type <>", value, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeGreaterThan(Integer value) {
            addCriterion("cmd_type >", value, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("cmd_type >=", value, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeLessThan(Integer value) {
            addCriterion("cmd_type <", value, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeLessThanOrEqualTo(Integer value) {
            addCriterion("cmd_type <=", value, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeIn(List<Integer> values) {
            addCriterion("cmd_type in", values, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeNotIn(List<Integer> values) {
            addCriterion("cmd_type not in", values, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeBetween(Integer value1, Integer value2) {
            addCriterion("cmd_type between", value1, value2, "cmdType");
            return (Criteria) this;
        }

        public Criteria andCmdTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("cmd_type not between", value1, value2, "cmdType");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdIsNull() {
            addCriterion("trade_order_id is null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdIsNotNull() {
            addCriterion("trade_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdEqualTo(Long value) {
            addCriterion("trade_order_id =", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdNotEqualTo(Long value) {
            addCriterion("trade_order_id <>", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdGreaterThan(Long value) {
            addCriterion("trade_order_id >", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("trade_order_id >=", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdLessThan(Long value) {
            addCriterion("trade_order_id <", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("trade_order_id <=", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdIn(List<Long> values) {
            addCriterion("trade_order_id in", values, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdNotIn(List<Long> values) {
            addCriterion("trade_order_id not in", values, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdBetween(Long value1, Long value2) {
            addCriterion("trade_order_id between", value1, value2, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("trade_order_id not between", value1, value2, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoIsNull() {
            addCriterion("trade_order_no is null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoIsNotNull() {
            addCriterion("trade_order_no is not null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoEqualTo(String value) {
            addCriterion("trade_order_no =", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoNotEqualTo(String value) {
            addCriterion("trade_order_no <>", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoGreaterThan(String value) {
            addCriterion("trade_order_no >", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("trade_order_no >=", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoLessThan(String value) {
            addCriterion("trade_order_no <", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoLessThanOrEqualTo(String value) {
            addCriterion("trade_order_no <=", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoLike(String value) {
            addCriterion("trade_order_no like", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoNotLike(String value) {
            addCriterion("trade_order_no not like", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoIn(List<String> values) {
            addCriterion("trade_order_no in", values, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoNotIn(List<String> values) {
            addCriterion("trade_order_no not in", values, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoBetween(String value1, String value2) {
            addCriterion("trade_order_no between", value1, value2, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoNotBetween(String value1, String value2) {
            addCriterion("trade_order_no not between", value1, value2, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoIsNull() {
            addCriterion("origin_profit_sharing_order_no is null");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoIsNotNull() {
            addCriterion("origin_profit_sharing_order_no is not null");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoEqualTo(String value) {
            addCriterion("origin_profit_sharing_order_no =", value, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoNotEqualTo(String value) {
            addCriterion("origin_profit_sharing_order_no <>", value, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoGreaterThan(String value) {
            addCriterion("origin_profit_sharing_order_no >", value, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("origin_profit_sharing_order_no >=", value, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoLessThan(String value) {
            addCriterion("origin_profit_sharing_order_no <", value, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoLessThanOrEqualTo(String value) {
            addCriterion("origin_profit_sharing_order_no <=", value, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoLike(String value) {
            addCriterion("origin_profit_sharing_order_no like", value, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoNotLike(String value) {
            addCriterion("origin_profit_sharing_order_no not like", value, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoIn(List<String> values) {
            addCriterion("origin_profit_sharing_order_no in", values, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoNotIn(List<String> values) {
            addCriterion("origin_profit_sharing_order_no not in", values, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoBetween(String value1, String value2) {
            addCriterion("origin_profit_sharing_order_no between", value1, value2, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andOriginProfitSharingOrderNoNotBetween(String value1, String value2) {
            addCriterion("origin_profit_sharing_order_no not between", value1, value2, "originProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoIsNull() {
            addCriterion("profit_sharing_order_no is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoIsNotNull() {
            addCriterion("profit_sharing_order_no is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoEqualTo(String value) {
            addCriterion("profit_sharing_order_no =", value, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoNotEqualTo(String value) {
            addCriterion("profit_sharing_order_no <>", value, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoGreaterThan(String value) {
            addCriterion("profit_sharing_order_no >", value, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("profit_sharing_order_no >=", value, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoLessThan(String value) {
            addCriterion("profit_sharing_order_no <", value, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoLessThanOrEqualTo(String value) {
            addCriterion("profit_sharing_order_no <=", value, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoLike(String value) {
            addCriterion("profit_sharing_order_no like", value, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoNotLike(String value) {
            addCriterion("profit_sharing_order_no not like", value, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoIn(List<String> values) {
            addCriterion("profit_sharing_order_no in", values, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoNotIn(List<String> values) {
            addCriterion("profit_sharing_order_no not in", values, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoBetween(String value1, String value2) {
            addCriterion("profit_sharing_order_no between", value1, value2, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingOrderNoNotBetween(String value1, String value2) {
            addCriterion("profit_sharing_order_no not between", value1, value2, "profitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIsNull() {
            addCriterion("platform_type is null");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIsNotNull() {
            addCriterion("platform_type is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeEqualTo(Integer value) {
            addCriterion("platform_type =", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotEqualTo(Integer value) {
            addCriterion("platform_type <>", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeGreaterThan(Integer value) {
            addCriterion("platform_type >", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("platform_type >=", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeLessThan(Integer value) {
            addCriterion("platform_type <", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeLessThanOrEqualTo(Integer value) {
            addCriterion("platform_type <=", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIn(List<Integer> values) {
            addCriterion("platform_type in", values, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotIn(List<Integer> values) {
            addCriterion("platform_type not in", values, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeBetween(Integer value1, Integer value2) {
            addCriterion("platform_type between", value1, value2, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("platform_type not between", value1, value2, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoIsNull() {
            addCriterion("platform_profit_sharing_order_no is null");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoIsNotNull() {
            addCriterion("platform_profit_sharing_order_no is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoEqualTo(String value) {
            addCriterion("platform_profit_sharing_order_no =", value, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoNotEqualTo(String value) {
            addCriterion("platform_profit_sharing_order_no <>", value, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoGreaterThan(String value) {
            addCriterion("platform_profit_sharing_order_no >", value, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("platform_profit_sharing_order_no >=", value, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoLessThan(String value) {
            addCriterion("platform_profit_sharing_order_no <", value, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoLessThanOrEqualTo(String value) {
            addCriterion("platform_profit_sharing_order_no <=", value, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoLike(String value) {
            addCriterion("platform_profit_sharing_order_no like", value, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoNotLike(String value) {
            addCriterion("platform_profit_sharing_order_no not like", value, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoIn(List<String> values) {
            addCriterion("platform_profit_sharing_order_no in", values, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoNotIn(List<String> values) {
            addCriterion("platform_profit_sharing_order_no not in", values, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoBetween(String value1, String value2) {
            addCriterion("platform_profit_sharing_order_no between", value1, value2, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformProfitSharingOrderNoNotBetween(String value1, String value2) {
            addCriterion("platform_profit_sharing_order_no not between", value1, value2, "platformProfitSharingOrderNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoIsNull() {
            addCriterion("platform_mer_no is null");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoIsNotNull() {
            addCriterion("platform_mer_no is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoEqualTo(String value) {
            addCriterion("platform_mer_no =", value, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoNotEqualTo(String value) {
            addCriterion("platform_mer_no <>", value, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoGreaterThan(String value) {
            addCriterion("platform_mer_no >", value, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoGreaterThanOrEqualTo(String value) {
            addCriterion("platform_mer_no >=", value, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoLessThan(String value) {
            addCriterion("platform_mer_no <", value, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoLessThanOrEqualTo(String value) {
            addCriterion("platform_mer_no <=", value, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoLike(String value) {
            addCriterion("platform_mer_no like", value, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoNotLike(String value) {
            addCriterion("platform_mer_no not like", value, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoIn(List<String> values) {
            addCriterion("platform_mer_no in", values, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoNotIn(List<String> values) {
            addCriterion("platform_mer_no not in", values, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoBetween(String value1, String value2) {
            addCriterion("platform_mer_no between", value1, value2, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformMerNoNotBetween(String value1, String value2) {
            addCriterion("platform_mer_no not between", value1, value2, "platformMerNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoIsNull() {
            addCriterion("platform_trade_no is null");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoIsNotNull() {
            addCriterion("platform_trade_no is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoEqualTo(String value) {
            addCriterion("platform_trade_no =", value, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoNotEqualTo(String value) {
            addCriterion("platform_trade_no <>", value, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoGreaterThan(String value) {
            addCriterion("platform_trade_no >", value, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoGreaterThanOrEqualTo(String value) {
            addCriterion("platform_trade_no >=", value, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoLessThan(String value) {
            addCriterion("platform_trade_no <", value, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoLessThanOrEqualTo(String value) {
            addCriterion("platform_trade_no <=", value, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoLike(String value) {
            addCriterion("platform_trade_no like", value, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoNotLike(String value) {
            addCriterion("platform_trade_no not like", value, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoIn(List<String> values) {
            addCriterion("platform_trade_no in", values, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoNotIn(List<String> values) {
            addCriterion("platform_trade_no not in", values, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoBetween(String value1, String value2) {
            addCriterion("platform_trade_no between", value1, value2, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTradeNoNotBetween(String value1, String value2) {
            addCriterion("platform_trade_no not between", value1, value2, "platformTradeNo");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidIsNull() {
            addCriterion("platform_appid is null");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidIsNotNull() {
            addCriterion("platform_appid is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidEqualTo(String value) {
            addCriterion("platform_appid =", value, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidNotEqualTo(String value) {
            addCriterion("platform_appid <>", value, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidGreaterThan(String value) {
            addCriterion("platform_appid >", value, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidGreaterThanOrEqualTo(String value) {
            addCriterion("platform_appid >=", value, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidLessThan(String value) {
            addCriterion("platform_appid <", value, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidLessThanOrEqualTo(String value) {
            addCriterion("platform_appid <=", value, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidLike(String value) {
            addCriterion("platform_appid like", value, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidNotLike(String value) {
            addCriterion("platform_appid not like", value, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidIn(List<String> values) {
            addCriterion("platform_appid in", values, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidNotIn(List<String> values) {
            addCriterion("platform_appid not in", values, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidBetween(String value1, String value2) {
            addCriterion("platform_appid between", value1, value2, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andPlatformAppidNotBetween(String value1, String value2) {
            addCriterion("platform_appid not between", value1, value2, "platformAppid");
            return (Criteria) this;
        }

        public Criteria andRatioIsNull() {
            addCriterion("ratio is null");
            return (Criteria) this;
        }

        public Criteria andRatioIsNotNull() {
            addCriterion("ratio is not null");
            return (Criteria) this;
        }

        public Criteria andRatioEqualTo(BigDecimal value) {
            addCriterion("ratio =", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioNotEqualTo(BigDecimal value) {
            addCriterion("ratio <>", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioGreaterThan(BigDecimal value) {
            addCriterion("ratio >", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ratio >=", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioLessThan(BigDecimal value) {
            addCriterion("ratio <", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ratio <=", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioIn(List<BigDecimal> values) {
            addCriterion("ratio in", values, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioNotIn(List<BigDecimal> values) {
            addCriterion("ratio not in", values, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ratio between", value1, value2, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ratio not between", value1, value2, "ratio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounIsNull() {
            addCriterion("profit_sharing_amoun is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounIsNotNull() {
            addCriterion("profit_sharing_amoun is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_amoun =", value, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounNotEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_amoun <>", value, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounGreaterThan(BigDecimal value) {
            addCriterion("profit_sharing_amoun >", value, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_amoun >=", value, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounLessThan(BigDecimal value) {
            addCriterion("profit_sharing_amoun <", value, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounLessThanOrEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_amoun <=", value, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounIn(List<BigDecimal> values) {
            addCriterion("profit_sharing_amoun in", values, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounNotIn(List<BigDecimal> values) {
            addCriterion("profit_sharing_amoun not in", values, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("profit_sharing_amoun between", value1, value2, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmounNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("profit_sharing_amoun not between", value1, value2, "profitSharingAmoun");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTypeIsNull() {
            addCriterion("create_type is null");
            return (Criteria) this;
        }

        public Criteria andCreateTypeIsNotNull() {
            addCriterion("create_type is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTypeEqualTo(Integer value) {
            addCriterion("create_type =", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeNotEqualTo(Integer value) {
            addCriterion("create_type <>", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeGreaterThan(Integer value) {
            addCriterion("create_type >", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("create_type >=", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeLessThan(Integer value) {
            addCriterion("create_type <", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeLessThanOrEqualTo(Integer value) {
            addCriterion("create_type <=", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeIn(List<Integer> values) {
            addCriterion("create_type in", values, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeNotIn(List<Integer> values) {
            addCriterion("create_type not in", values, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeBetween(Integer value1, Integer value2) {
            addCriterion("create_type between", value1, value2, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("create_type not between", value1, value2, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeIsNull() {
            addCriterion("profit_sharing_time is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeIsNotNull() {
            addCriterion("profit_sharing_time is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeEqualTo(Date value) {
            addCriterion("profit_sharing_time =", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeNotEqualTo(Date value) {
            addCriterion("profit_sharing_time <>", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeGreaterThan(Date value) {
            addCriterion("profit_sharing_time >", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("profit_sharing_time >=", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeLessThan(Date value) {
            addCriterion("profit_sharing_time <", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeLessThanOrEqualTo(Date value) {
            addCriterion("profit_sharing_time <=", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeIn(List<Date> values) {
            addCriterion("profit_sharing_time in", values, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeNotIn(List<Date> values) {
            addCriterion("profit_sharing_time not in", values, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeBetween(Date value1, Date value2) {
            addCriterion("profit_sharing_time between", value1, value2, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeNotBetween(Date value1, Date value2) {
            addCriterion("profit_sharing_time not between", value1, value2, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNull() {
            addCriterion("finish_time is null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNotNull() {
            addCriterion("finish_time is not null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeEqualTo(Date value) {
            addCriterion("finish_time =", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotEqualTo(Date value) {
            addCriterion("finish_time <>", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThan(Date value) {
            addCriterion("finish_time >", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("finish_time >=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThan(Date value) {
            addCriterion("finish_time <", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThanOrEqualTo(Date value) {
            addCriterion("finish_time <=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIn(List<Date> values) {
            addCriterion("finish_time in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotIn(List<Date> values) {
            addCriterion("finish_time not in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeBetween(Date value1, Date value2) {
            addCriterion("finish_time between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotBetween(Date value1, Date value2) {
            addCriterion("finish_time not between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}